NXOpen.UF.So.CreateDirrOnCurve

So.CreateDirrOnCurve()

Refer to UF_SO_create_dirr_on_curve for documentation.

Signature: CreateDirrOnCurve(objectInPart, updateOption, curve, t, option, flip)

Parameters:
  • objectInPart (Tag) – Tag of object in part
  • updateOption (NXOpen.UF.So.UpdateOption Refer to UF_SO_update_option_e for documentation.) – Update option
  • curve (Tag) – Tag of curve
  • t (Tag) – Tag of parameter object
  • option (NXOpen.UF.So.DirrOnCurveOption Refer to UF_SO_dirr_on_curve_option_e for documentation.) – Tangent/Normal/Binormal
  • flip (bool) – TRUE = Flip direction FALSE = Do not flip direction
Returns:

Pointer to tag of direction

Return type:

Tag

License requirements: None